summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Alex Lysenka <me@alkos333.net>2010-05-11 19:44:11 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:44:11 +0200
commite1368d32a83343a2c6dfee485b4fc24b884681d6 (patch)
tree2e7ba30c921b2526ff82023a7ad2e910a8b9f0aa /development
parent0d1c356fb2104a1876819da9d2830463d9420b2e (diff)
downloadslackbuilds-e1368d32a83343a2c6dfee485b4fc24b884681d6.tar.gz
slackbuilds-e1368d32a83343a2c6dfee485b4fc24b884681d6.tar.xz
development/Amaya: Updated for version 9.54
Diffstat (limited to 'development')
-rw-r--r--development/Amaya/Amaya.SlackBuild38
-rw-r--r--development/Amaya/Amaya.desktop10
-rw-r--r--development/Amaya/Amaya.info4
-rw-r--r--development/Amaya/Amaya.pngbin0 -> 2561 bytes
-rw-r--r--development/Amaya/doinst.sh8
-rw-r--r--development/Amaya/slack-desc12
6 files changed, 65 insertions, 7 deletions
diff --git a/development/Amaya/Amaya.SlackBuild b/development/Amaya/Amaya.SlackBuild
index 78c2a83eec..13c1361046 100644
--- a/development/Amaya/Amaya.SlackBuild
+++ b/development/Amaya/Amaya.SlackBuild
@@ -1,10 +1,36 @@
#!/bin/sh
# Slackware build script for Amaya
-# Written by Alex Lysenka <me@alkos333.net>
-# Licensed under GNU GPL v2
+# Copyright (c) 2007 , Written by Alex Lysenka <me@alkos333.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the slackbuilds.org project
+set -e
PRGNAM=Amaya
VERSION=9.54
@@ -62,8 +88,14 @@ mkdir -p $PKG/usr/bin
# Deleting useless files
rm -rf $PKG/opt/bin
+#desktop file
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz || exit 1
diff --git a/development/Amaya/Amaya.desktop b/development/Amaya/Amaya.desktop
new file mode 100644
index 0000000000..42ac41b93b
--- /dev/null
+++ b/development/Amaya/Amaya.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Amaya
+Comment=Edit the Web
+Categories=Application;Development;
+Exec=/opt/Amaya-9.54/wx/bin/amaya %u
+Icon=/usr/share/pixmaps/Amaya.png
+Terminal=false
+Type=Application
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml
diff --git a/development/Amaya/Amaya.info b/development/Amaya/Amaya.info
index 6a3d0fc615..c60754d7c8 100644
--- a/development/Amaya/Amaya.info
+++ b/development/Amaya/Amaya.info
@@ -1,8 +1,8 @@
-PRGNAM="Aamaya"
+PRGNAM="Amaya"
VERSION="9.54"
HOMEPAGE="http://www.w3.org/Amaya"
DOWNLOAD="http://www.w3.org/Amaya/Distribution/amaya-sources-9.54.tgz"
MD5SUM="d907d6e9fc349e4eaeca49c163a6829f"
MAINTAINER="Alex Lysenka"
EMAIL="me@alkos333.net"
-APPROVED="BP{k}" \ No newline at end of file
+APPROVED="BP{k}"
diff --git a/development/Amaya/Amaya.png b/development/Amaya/Amaya.png
new file mode 100644
index 0000000000..c77fa2f56b
--- /dev/null
+++ b/development/Amaya/Amaya.png
Binary files differ
diff --git a/development/Amaya/doinst.sh b/development/Amaya/doinst.sh
new file mode 100644
index 0000000000..ffc3036c9c
--- /dev/null
+++ b/development/Amaya/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/development/Amaya/slack-desc b/development/Amaya/slack-desc
index a9fdee8bd8..a28b39752c 100644
--- a/development/Amaya/slack-desc
+++ b/development/Amaya/slack-desc
@@ -1,3 +1,12 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+Amaya: Amaya (W3C complete web browsing and authoring environment)
Amaya:
Amaya: Amaya is a Web editor, i.e. a tool used to create and update
Amaya: documents directly on the Web. Browsing features are seamlessly
@@ -5,7 +14,6 @@ Amaya: integrated with the editing and remote access features in a uniform
Amaya: environment. This follows the original vision of the Web as a space
Amaya: for collaboration and not just a one-way publishing medium.
Amaya:
-Amaya:
-Amaya:
Amaya: Homepage: http://www.w3.org/Amaya
Amaya:
+Amaya: